Process Payment
curl --request POST \
--url https://staging.crossmint.com/api/2022-06-09/orders/{orderId}/payment \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"type": "crypto-tx-id",
"txId": "5UfgJ7vVFmH8K9YxLmNpQrStWvXyZaBcDeFgHiJkLmNoPqRsTuVwXyZaBcDeFgHiJkLm"
}
'import requests
url = "https://staging.crossmint.com/api/2022-06-09/orders/{orderId}/payment"
payload = {
"type": "crypto-tx-id",
"txId": "5UfgJ7vVFmH8K9YxLmNpQrStWvXyZaBcDeFgHiJkLmNoPqRsTuVwXyZaBcDeFgHiJkLm"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'crypto-tx-id',
txId: '5UfgJ7vVFmH8K9YxLmNpQrStWvXyZaBcDeFgHiJkLmNoPqRsTuVwXyZaBcDeFgHiJkLm'
})
};
fetch('https://staging.crossmint.com/api/2022-06-09/orders/{orderId}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "b2959ca5-65e4-466a-bd26-1bd05cb4f837",
"phase": "payment",
"locale": "en-US",
"lineItems": [
{
"chain": "polygon-amoy",
"quantity": 1,
"callData": {
"quantity": 1,
"ADDITIONAL_PROPERTIES": "Your other mint function arguments"
},
"metadata": {
"name": "Headless Checkout Demo",
"description": "NFT Description",
"imageUrl": "https://cdn.io/image.png"
},
"quote": {
"status": "valid",
"charges": {
"unit": {
"amount": "0.0001",
"currency": "eth"
},
"salesTax": {
"amount": "0.34",
"currency": "usdc"
},
"shipping": {
"amount": "0",
"currency": "usdc"
}
},
"totalPrice": {
"amount": "0.0001",
"currency": "eth"
}
},
"delivery": {
"status": "awaiting-payment",
"recipient": {
"locator": "email:<email_address>:<chain>",
"email": "testy@crossmint.com",
"walletAddress": "0x1234abcd..."
},
"txId": "0x2e69f11dae7869b92e3d5eaf4cadd50c48b5c6803d1232815f979d744521ad4c",
"tokens": [
{
"locator": "polygon:0xE04Cf294985282Ddc088E6433c064cfB85eD9EdA:3",
"contractAddress": "0xE04Cf294985282Ddc088E6433c064cfB85eD9EdA",
"tokenId": "3",
"mintHash": "MintHashAbc123",
"quantity": "1500000",
"symbol": "USDC",
"decimals": 6
}
]
}
}
],
"quote": {
"status": "valid",
"quotedAt": "2024-06-07T16:55:44.653Z",
"expiresAt": "2024-06-07T17:55:44.653Z",
"totalPrice": {
"amount": "0.0001375741",
"currency": "eth"
}
},
"payment": {
"status": "awaiting-payment",
"method": "base-sepolia",
"currency": "eth",
"preparation": {
"chain": "base-sepolia",
"payerAddress": "0x1234abcd...",
"serializedTransaction": "0x02f90....."
}
}
}{
"error": true,
"message": "<string>",
"parameters": {
"amount": "<string>",
"limit": "<string>",
"hoursUntilReset": "<string>",
"remainingAmount": "<string>"
}
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}{
"error": true,
"message": "A timeout occurred."
}Orders
Process Payment
Process payment for an order using a crypto transaction ID.
Authentication: Use either a server-side API key with orders.update scope, the clientSecret from order creation as an authorization header, or a JWT token with orders.create scope.
POST
/
2022-06-09
/
orders
/
{orderId}
/
payment
Process Payment
Authorizations
apiKeyorderClientSecret
Path Parameters
This is the identifier for the order with UUID format.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
Body
application/json
Process payment using a crypto transaction ID. Use this when the user has already submitted a crypto transaction.
Was this page helpful?
⌘I

